Bug 179063 - NFS export option ro invalid
NFS export option ro invalid
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 16:52 EST by Marc Curry
Modified: 2009-04-16 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0241
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes this and other missing options (783 bytes, patch)
2006-01-26 16:59 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Marc Curry 2006-01-26 16:52:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
The message "Export Option ro invalid" is produced in /var/log/messages and the NFS service fails when trying to mount an ext3 file system resource marked as read-only.  I'm seeing it on both a RHEL4 U2 and U3beta cluster suite installation.

If I click the "rw" button in the system-config-cluster NFS client resource configuration window and "send to cluster", it all works fine (after a disable/enable).  Changing it back to "ro", I get the following errors:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a working NFS service with four resources:  IP address, NFS export, NFS client, and Filesystem (ext3, rw).
2. Modify the Filesystem resource to read-only within system-config-cluster (radio button)
3. Click the "Send to cluster" button for propagation of the changes and automatic changing of that part of the service
4. Wait 10 seconds

Actual Results:  The following output is produced in /var/log/messages and the NFS service fails:

Jan 26 08:25:50 node-4 clurgmgrd[2170]: <info> Starting changed resources.
Jan 26 08:25:50 node-4 clurgmgrd: [2170]: <err> Export Option ro invalid
Jan 26 08:25:50 node-4 clurgmgrd[2170]: <notice> start on nfsclient "anyone" returned 2 (invalid argument(s))
Jan 26 08:26:00 node-4 clurgmgrd: [2170]: <err> Export Option ro invalid
Jan 26 08:26:00 node-4 clurgmgrd[2170]: <notice> status on nfsclient "anyone" returned 2 (invalid argument(s))
Jan 26 08:26:00 node-4 clurgmgrd[2170]: <notice> recover on nfsclient "anyone" returned 1 (generic error)
Jan 26 08:26:00 node-4 clurgmgrd[2170]: <notice> Stopping service site
Jan 26 08:26:00 node-4 clurgmgrd: [2170]: <info> Removing IPv4 address 172.16.36.209 from eth0
Jan 26 08:26:10 node-4 clurgmgrd: [2170]: <err> Export Option ro invalid
Jan 26 08:26:10 node-4 clurgmgrd[2170]: <notice> stop on nfsclient "anyone" returned 2 (invalid argument(s))
Jan 26 08:26:10 node-4 clurgmgrd[2170]: <crit> #12: RG site failed to stop; intervention required
Jan 26 08:26:10 node-4 clurgmgrd[2170]: <notice> Service site is failed

Expected Results:  The service should have accepted the ro option and updated the Filesystem resource.

Additional info:

If the "read-write" button in the system-config-cluster NFS client resource configuration window is marked and the "send to cluster" button pressed, it all goes back to working fine (after a disable/enable of the service).  Changing it back to "read-only" and repeating the process produces the problem again.

I was able to reproduce the problem in RHEL4U2 and RHEL4U3beta versions.
Comment 1 Lon Hohberger 2006-01-26 16:59:22 EST
Created attachment 123749 [details]
fixes this and other missing options
Comment 2 Lon Hohberger 2006-01-27 16:02:52 EST
Fixes are in head, STABLE, and RHEL4 branches.
Comment 3 Rob Kenna 2006-01-27 16:40:41 EST
If this is low risk, let's place it in U3
Comment 7 Red Hat Bugzilla 2006-03-09 14:41:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0241.html

Note You need to log in before you can comment on or make changes to this bug.